﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Infragistics.Controls;
using System.Windows.Data;
using System.Globalization;
using Infragistics.Controls.Timelines;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private XamZoombar Zoombar { get; set; }
        private bool LayoutUpdated { get; set; }

        private void LayoutRoot_LayoutUpdated(object sender, EventArgs e)
        {
            if (this.LayoutUpdated)
            {
                return;
            }

            this.LayoutUpdated = true;

            this.Zoombar = this.FindName("Zoombar") as XamZoombar;

            this.Zoombar.ZoomChanged += new EventHandler<ZoomChangedEventArgs>(Zoombar_ZoomChanged);
            InitToolTips();
        }

        private void Zoombar_ZoomChanged(object sender, ZoomChangedEventArgs e)
        {
            InitToolTips();
        }

        private void InitToolTips()
        {
            DateTimeAxis axis = this.Timeline.Axis as DateTimeAxis;

            Style leftStyle = new Style(typeof(ContentControl));
            leftStyle.BasedOn = this.Zoombar.HorizontalScrollLeftStyle;
            leftStyle.Setters.Add(new Setter(ToolTipService.ToolTipProperty, axis.VisibleMinimum.ToString()));

            Style rightStyle = new Style(typeof(ContentControl));
            rightStyle.BasedOn = this.Zoombar.HorizontalScrollRightStyle;
            rightStyle.Setters.Add(new Setter(ToolTipService.ToolTipProperty, axis.VisibleMaximum.ToString()));

            this.Zoombar.HorizontalScrollLeftStyle = leftStyle;
            this.Zoombar.HorizontalScrollRightStyle = rightStyle;
        }
    }
}
